# This file was auto-generated by zetup
#
# https://bitbucket.org/userzimmermann/zetup.py


from __future__ import absolute_import

import sys
import os
from collections import OrderedDict

from zetup.version import Version
from zetup.dist import Distribution
from zetup.requires import Requirements
from zetup.extras import Extras
from zetup.package import Packages, Package
from zetup.notebook import Notebook



zfg = sys.modules[__name__]

NAME = 'zetup'

LICENSE = 'LGPLv3'

TITLE = 'zetup'

PYTHON = ['2.7', '3.3', '3.4', '3.5']

MODULES = []

FORCE_MAKE = True

KEYWORDS = ['zetup', 'project', 'tools', 'config', 'ini', 'setup', 'requirements', 'extras', 'packages', 'package', 'toplevel', 'object', 'meta', 'subprocess', 'process', 'popen', 'call', 'python3', 'python3']

PACKAGES = Packages([

Package('zetup',
  sources=[
    'extras.py',
    'requires.py',
    'test_classpackage.py',
    'classpackage.py',
    'config.py',
    '__init__.py',
    'conda.py',
    'modules.py',
    'error.py',
    'script.py',
    'object.py',
    'zetup.py',
    'version.py',
    'dist.py',
    'package.py',
    'annotate.py'
    ],
  subpackages=[
    
Package('zetup.commands',
  sources=[
    'test.py',
    'dev.py',
    'command.py',
    '__init__.py',
    'conda.py',
    'error.py',
    'tox.py',
    'del_.py',
    'run.py',
    'pytest.py'
    ],
  subpackages=[
    
Package('zetup.commands.make',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )
,
    
Package('zetup.notebook',
  sources=[
    '__init__.py',
    'jinja.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.doc',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.process',
  sources=[
    'scons.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )

  ], root=os.path.dirname(os.path.dirname(os.path.realpath(__file__))))

EMAIL = 'zimmermann.code@gmail.com'

AUTHOR = 'Stefan Zimmermann'

REQUIRES = Requirements("""
setuptools # >= 15.0
setuptools_scm

""", zfg=zfg)

URL = 'https://bitbucket.org/userzimmermann/zetup.py'

SETUP_HOOKS = []

VERSION = Version('0.2.31')

KEEP_MADE = []

NO_MAKE = ['setup.py', 'tox.ini']

TEST_COMMANDS = ['py.test -v test']

DESCRIPTION = "Zimmermann's Extensible Tools for Unified Project setups"

SETUP_REQUIRES = None

EXTRAS = Extras([
('commands', Requirements("""
path.py >= 8.0 #import path
jinjatools >= 0.1.6

""")),
('notebook', Requirements("""
path.py >= 8.0 #import path
ipython >= 4.0 #import IPython
nbconvert >= 4.0

""")),
('pytest', Requirements("""
pytest

"""))
], zfg=zfg)

SCRIPTS = {'zetup': 'zetup.script:run'}

SETUP_KEYWORDS = {'use_zetup': 'zetup:setup_entry_point'}

DISTRIBUTION = Distribution(zfg)

CLASSIFIERS = ['Development Status :: 3 - Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)', 'Operating System :: OS Independent', 'Topic :: Software Development', 'Topic :: Utilities', 'Programming Language :: Python', 'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 3.3', 'Programming Language :: Python :: 3.4', 'Programming Language :: Python :: 3.5']